Site news

General news and announcements

List of discussions. Showing 73 of 73 discussions
  Discussion Started by Replies Last post Created  
Tutor.com Student Success Webinars
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Sep 10, 2021, 4:04 PM
COVID_19 Testing Required
Picture of Theodis Garth
Theodis Garth
0 Fri, Sep 3, 2021, 4:21 PM
Upcoming TurnItIn Maintanence
Picture of Rochelle Johnson
Rochelle Johnson
0 Mon, Jul 26, 2021, 10:47 AM
Moodle Disruption
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Apr 19, 2021, 12:14 PM
Diversity, Equity and Inclusion Discussion begins at noon today!
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Apr 16, 2021, 11:39 AM
Diversity, Equity and Inclusion Discussion Series Part 3
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Apr 15, 2021, 4:51 PM
Moodle Ldap Login Fixed!
Picture of Theodis Garth
Theodis Garth
0 Thu, Apr 15, 2021, 9:27 AM
Moodle Ldap Login Issues
Picture of Theodis Garth
Theodis Garth
0 Thu, Apr 15, 2021, 8:52 AM
Moodle Log In Error
Picture of Rochelle Johnson
Rochelle Johnson
0 Wed, Apr 14, 2021, 9:34 PM
Virtual Parent Advocacy Summit
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Apr 8, 2021, 3:39 PM
REMINDER: APPLY TODAY! CSU EMERGENCY SCHOLAR FUNDS
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Apr 5, 2021, 1:40 PM
Diversity, Equity and Inclusion Discussion Series Part 2 starts at noon today!
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Apr 2, 2021, 11:13 AM
CSU Covid Site Webinar-April 1, 2021 at 1:00 p.m.
Picture of Patrice Boyles
Patrice Boyles
0 Wed, Mar 31, 2021, 4:00 PM
Graduate Student Symposium
Picture of Patrice Boyles
Patrice Boyles
0 Wed, Mar 17, 2021, 2:58 PM
Virtual Career & Internship Fair
Picture of Patrice Boyles
Patrice Boyles
0 Wed, Mar 17, 2021, 2:47 PM
CTRE Progress Report January-March 2021
Picture of Patrice Boyles
Patrice Boyles
0 Sun, Jan 10, 2021, 6:05 PM
SAVE THE DATE! ! Faculty Institute Day January 14, 2021
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Jan 7, 2021, 5:40 PM
Gardner Institute Completers Interviewed -Watch on CSU Youtube Channel
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Nov 23, 2020, 8:40 AM
Attention Students!!! Tutor.Com Announcement
Picture of Patrice Boyles
Patrice Boyles
0 Wed, Nov 18, 2020, 2:56 PM
Ethics Training Quick Fix for Obtaining Certificate of Completion
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Nov 17, 2020, 11:54 AM
Just for Students!!! Test Prep Workshop, Nov 20 at 3:00 p.m
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Nov 16, 2020, 5:20 PM
UIC John Marshall Fair Housing/Fair Lending Course Available to Students!
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Oct 29, 2020, 10:34 AM
NOTICE!!! Turnitin Technical Issues
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Oct 20, 2020, 12:19 PM
Turn It In Update (Issue Fixed)
Picture of Theodis Garth
Theodis Garth
0 Tue, Oct 20, 2020, 11:49 AM
University Archives and Special Collections Presents...
Picture of Rochelle Johnson
Rochelle Johnson
0 Fri, Oct 16, 2020, 12:40 PM
Attention Students! Do you Need Help with Moodle?
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Oct 13, 2020, 6:29 PM
Moodle Server Maintenance Alert!
Picture of Theodis Garth
Theodis Garth
0 Thu, Oct 8, 2020, 8:30 AM
Attention Students! Register Today for the Student Townhall Meeting
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Sep 28, 2020, 11:48 AM
Attention Students!! FREE FRIDAY WORKSHOPS!
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Sep 8, 2020, 5:01 PM
Academic Engagement Student Survey
Picture of Patrice Boyles
Patrice Boyles
0 Wed, Sep 2, 2020, 11:58 AM
Attention Students~Course Dashboard Update
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Aug 27, 2020, 12:22 PM
Moodle Required Maintenance Saturday, August 29, 2020
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Aug 27, 2020, 12:06 PM
No Cost Drive-up Covid-19 Testing for CSU
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Aug 24, 2020, 5:35 PM
Moodle Support is Available!!
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Aug 24, 2020, 12:29 PM
Reminder Student Success Presentation today at Noon
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Aug 21, 2020, 10:33 AM
CSU Academic Engagement Student Mini-Survey 1
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Aug 18, 2020, 2:49 PM
Faculty Development Week August 17-21, 2020 ~ Be sure to scroll down and review entire schedule
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Aug 14, 2020, 5:00 PM
Tutor.Com Webinar for Faculty and Staff
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Aug 14, 2020, 4:21 PM
FREE Online Seminar hosted by Magna Publications - August 13, 2020
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Aug 11, 2020, 11:06 AM
Respondus Lockdown Browser August Training Dates
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Aug 3, 2020, 10:02 AM
Faculty Development Week Fall 2020
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Jul 20, 2020, 9:06 AM
Chicago State University Student Scholar Emergency Fund for Summer 2020
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Jul 17, 2020, 11:59 AM
Attention Faculty! ~SAVE THE DATES!
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Jul 16, 2020, 6:54 PM
CSU Census Rally- Tuesday, July 14 at 12:30 p.m.
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Jul 13, 2020, 11:14 AM
FREE Online Professional Development Opportunity for Faculty
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Jul 10, 2020, 6:29 PM
Respondus Lockdown Training Workshops in July
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Jul 6, 2020, 6:49 PM
Magna Publications July Professional Development
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Jul 6, 2020, 5:27 PM
Tutor.com ~Closed for the Fourth of July
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Jun 30, 2020, 4:56 PM
Online Certification Training for Faculty
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Jun 25, 2020, 4:03 PM
Special Announcement~ Faculty and Staff Training
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Jun 19, 2020, 11:44 AM
Tutor.Com Webinar for Students
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Jun 16, 2020, 11:25 AM
SummerII OCT begins Monday June 15, 2020
Picture of Rochelle Johnson
Rochelle Johnson
0 Tue, Jun 9, 2020, 2:12 PM
Respondus Training - June and July!
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Jun 4, 2020, 10:42 AM
UPDATE!! Moodle 3.7 Overview at 4:30PM
Picture of Rochelle Johnson
Rochelle Johnson
0 Tue, May 26, 2020, 4:31 PM
Summer 2020 Course Enrollment Updates
Picture of Theodis Garth
Theodis Garth
0 Tue, May 26, 2020, 9:53 AM
Netiquette Workshop
Picture of Rochelle Johnson
Rochelle Johnson
0 Tue, May 26, 2020, 8:39 AM
Tutor.com
Picture of Patrice Boyles
Patrice Boyles
0 Mon, May 25, 2020, 11:56 PM
First Summer Technology Series Workshop Tuesday May 26th at 9am
Picture of Rochelle Johnson
Rochelle Johnson
0 Fri, May 22, 2020, 3:45 PM
Summer II 2020 Session of the Online Certification Training (OCT)
Picture of Rochelle Johnson
Rochelle Johnson
0 Mon, May 18, 2020, 3:48 PM
Attention Students!! - Your feedback is requested - Please respond.
Picture of Patrice Boyles
Patrice Boyles
0 Wed, May 13, 2020, 12:17 PM
Moodle 3.7 Upgrade Coming Soon!
Picture of Patrice Boyles
Patrice Boyles
0 Tue, May 5, 2020, 4:21 PM
Are you a faculty member using Respondus Lockdown this term?
Picture of Patrice Boyles
Patrice Boyles
0 Tue, May 5, 2020, 11:33 AM
Register now for the next Online Certification Training
Picture of Patrice Boyles
Patrice Boyles
0 Mon, May 4, 2020, 2:32 PM
Attention CSU Teaching Faculty-Archiving MOU
Picture of Patrice Boyles
Patrice Boyles
0 Mon, May 4, 2020, 12:30 PM
Academic policy for Spring 2020 full-semester and special session undergraduate courses only.
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Apr 21, 2020, 10:00 AM
Undergraduate Final Grade Notice
Picture of Patrice Boyles
Patrice Boyles
0 Mon, Apr 20, 2020, 4:20 PM
Campus Food Pantry Update
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Apr 17, 2020, 3:12 PM
CSU Student Scholar Emergency Fund
Picture of Patrice Boyles
Patrice Boyles
0 Wed, Apr 15, 2020, 2:08 PM
Spring Course Evaluation period closes May 1, 2020
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Apr 10, 2020, 10:52 AM
Free Tutoring
Picture of Patrice Boyles
Patrice Boyles
0 Thu, Apr 2, 2020, 11:37 AM
CSU Library COVID 19 UPDATES
Picture of Patrice Boyles
Patrice Boyles
0 Fri, Mar 27, 2020, 5:16 PM
Current Tips and Update Location
Picture of Patrice Boyles
Patrice Boyles
0 Tue, Mar 17, 2020, 3:40 PM
Moodle Browser Requirements
Picture of Theodis Garth
Theodis Garth
0 Fri, Aug 30, 2013, 1:36 PM